@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
open class GenPagesCSSLayoutMinHeight : BasePage {
    constructor(__ins: ComponentInternalInstance, __renderer: String?) : super(__ins, __renderer) {
        onLoad(fun(_: OnLoadOptions) {
            stat_instance.onLoad(this)
        }
        , __ins)
        onPageShow(fun() {
            stat_instance.onShow(this)
        }
        , __ins)
        onPageHide(fun() {
            stat_instance.onHide(this)
        }
        , __ins)
        onUnload(fun() {
            stat_instance.onUnload(this)
        }
        , __ins)
    }
    open var radioChangeMinHeight: (index: Number) -> Unit
        get() {
            return unref(this.`$exposed`["radioChangeMinHeight"]) as (index: Number) -> Unit
        }
        set(value) {
            setRefValue(this.`$exposed`, "radioChangeMinHeight", value)
        }
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenPagesCSSLayoutMinHeight, __setupCtx: SetupContext) -> Any? = fun(__props, __setupCtx): Any? {
            val __expose = __setupCtx.expose
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenPagesCSSLayoutMinHeight
            val _cache = __ins.renderCache
            val minHeightEnum = _uA(
                ItemType(value = 0, name = ""),
                ItemType(value = 1, name = "0"),
                ItemType(value = 2, name = "0px"),
                ItemType(value = 3, name = "50px"),
                ItemType(value = 4, name = "150px"),
                ItemType(value = 5, name = "80rpx")
            ) as UTSArray<ItemType>
            val minHeight = ref("100px")
            val minHeightActual = ref("")
            val minHeightActualText = ref("")
            val minHeightActualImage = ref("")
            val minHeightActualFlat = ref("")
            val minHeightActualTextFlat = ref("")
            val minHeightActualImageFlat = ref("")
            val viewRef = ref(null as UniElement?)
            val textRef = ref(null as UniTextElement?)
            val imageRef = ref(null as UniImageElement?)
            val viewRefFlat = ref(null as UniElement?)
            val textRefFlat = ref(null as UniTextElement?)
            val imageRefFlat = ref(null as UniImageElement?)
            val getPropertyValues = fun(){
                minHeightActual.value = viewRef.value?.style?.getPropertyValue("min-height") ?: ""
                minHeightActualFlat.value = viewRefFlat.value?.style?.getPropertyValue("min-height") ?: ""
                minHeightActualText.value = textRef.value?.style?.getPropertyValue("min-height") ?: ""
                minHeightActualTextFlat.value = textRefFlat.value?.style?.getPropertyValue("min-height") ?: ""
                minHeightActualImage.value = imageRef.value?.style?.getPropertyValue("min-height") ?: ""
                minHeightActualImageFlat.value = imageRefFlat.value?.style?.getPropertyValue("min-height") ?: ""
            }
            val changeMinHeight = fun(value: String){
                minHeight.value = value
                viewRef.value?.style?.setProperty("min-height", value)
                viewRefFlat.value?.style?.setProperty("min-height", value)
                textRef.value?.style?.setProperty("min-height", value)
                textRefFlat.value?.style?.setProperty("min-height", value)
                imageRef.value?.style?.setProperty("min-height", value)
                imageRefFlat.value?.style?.setProperty("min-height", value)
                nextTick(fun(){
                    getPropertyValues()
                }
                )
            }
            val radioChangeMinHeight = fun(index: Number){
                val selectedItem = minHeightEnum.find(fun(item): Boolean {
                    return item.value === index
                }
                )
                if (selectedItem != null) {
                    changeMinHeight(selectedItem.name)
                }
            }
            val inputChangeMinHeight = fun(value: String){
                changeMinHeight(value)
            }
            onReady(fun(){
                getPropertyValues()
            }
            )
            __expose(_uM("radioChangeMinHeight" to radioChangeMinHeight))
            return fun(): Any? {
                val _component_enum_data = resolveEasyComponent("enum-data", GenComponentsEnumDataEnumDataClass)
                val _component_input_data = resolveEasyComponent("input-data", GenComponentsInputDataInputDataClass)
                return _cE("scroll-view", _uM("style" to _nS(_uM("flex" to "1"))), _uA(
                    _cE("view", _uM("style" to _nS(_uM("flex-grow" to "1"))), _uA(
                        _cE("view", null, _uA(
                            _cE("text", null, "min-height: 150px"),
                            _cE("view", _uM("class" to "common", "style" to _nS(_uM("min-height" to "150px"))), _uA(
                                _cE("text", null, "height: 50px")
                            ), 4),
                            _cE("text", null, "拍平"),
                            _cE("view", _uM("class" to "common", "style" to _nS(_uM("min-height" to "150px")), "flatten" to ""), _uA(
                                _cE("text", null, "height: 50px")
                            ), 4)
                        )),
                        _cE("view", _uM("class" to "uni-common-mt"), _uA(
                            _cE("text", _uM("class" to "uni-title-text"), "scroll-view 组件")
                        )),
                        _cE("view", _uM("class" to "demo-box"), _uA(
                            _cE("scroll-view", _uM("class" to "common", "style" to _nS(_uM("min-height" to "100px", "background-color" to "cyan", "width" to "100px"))), _uA(
                                _cE("text", _uM("class" to "scroll-view-label"), "min-height: 100px")
                            ), 4),
                            _cE("scroll-view", _uM("class" to "common", "style" to _nS(_uM("min-height" to "150px", "background-color" to "cyan", "width" to "100px"))), _uA(
                                _cE("text", _uM("class" to "scroll-view-label"), "min-height: 150px")
                            ), 4)
                        )),
                        _cE("view", _uM("class" to "uni-common-mt"), _uA(
                            _cE("text", _uM("class" to "uni-title-text"), "setProperty 设置与 getPropertyValue 获取 min-height ")
                        )),
                        _cE("view", _uM("class" to "test-container"), _uA(
                            _cE("view", _uM("class" to "test-item"), _uA(
                                _cE("text", _uM("class" to "uni-subtitle-text"), "view 组件"),
                                _cE("text", _uM("class" to "uni-info"), "设置值: " + _tD(unref(minHeight)), 1),
                                _cE("text", _uM("class" to "uni-info"), "获取值: " + _tD(unref(minHeightActual)), 1),
                                _cE("view", _uM("class" to "test-box"), _uA(
                                    _cE("view", _uM("ref_key" to "viewRef", "ref" to viewRef, "class" to "common-dynamic test-view", "style" to _nS(_uM("minHeight" to unref(minHeight)))), _uA(
                                        _cE("text", null, "view")
                                    ), 4)
                                ))
                            )),
                            _cE("view", _uM("class" to "test-item"), _uA(
                                _cE("text", _uM("class" to "uni-subtitle-text"), "text 组件"),
                                _cE("text", _uM("class" to "uni-info"), "设置值: " + _tD(unref(minHeight)), 1),
                                _cE("text", _uM("class" to "uni-info"), "获取值: " + _tD(unref(minHeightActualText)), 1),
                                _cE("view", _uM("class" to "test-box"), _uA(
                                    _cE("text", _uM("ref_key" to "textRef", "ref" to textRef, "class" to "common-dynamic test-text", "style" to _nS(_uM("minHeight" to unref(minHeight)))), "text", 4)
                                ))
                            )),
                            _cE("view", _uM("class" to "test-item"), _uA(
                                _cE("text", _uM("class" to "uni-subtitle-text"), "image 组件"),
                                _cE("text", _uM("class" to "uni-info"), "设置值: " + _tD(unref(minHeight)), 1),
                                _cE("text", _uM("class" to "uni-info"), "获取值: " + _tD(unref(minHeightActualImage)), 1),
                                _cE("view", _uM("class" to "test-box"), _uA(
                                    _cE("image", _uM("ref_key" to "imageRef", "ref" to imageRef, "class" to "common-dynamic test-image", "style" to _nS(_uM("minHeight" to unref(minHeight))), "src" to "/static/test-image/logo.png"), null, 4)
                                ))
                            ))
                        )),
                        _cE("view", _uM("class" to "test-container"), _uA(
                            _cE("view", _uM("class" to "test-item"), _uA(
                                _cE("text", _uM("class" to "uni-subtitle-text"), "view 组件拍平"),
                                _cE("text", _uM("class" to "uni-info"), "设置值: " + _tD(unref(minHeight)), 1),
                                _cE("text", _uM("class" to "uni-info"), "获取值: " + _tD(unref(minHeightActualFlat)), 1),
                                _cE("view", _uM("class" to "test-box"), _uA(
                                    _cE("view", _uM("ref_key" to "viewRefFlat", "ref" to viewRefFlat, "class" to "common-dynamic test-view-flatten", "style" to _nS(_uM("minHeight" to unref(minHeight))), "flatten" to ""), _uA(
                                        _cE("text", null, "view")
                                    ), 4)
                                ))
                            )),
                            _cE("view", _uM("class" to "test-item"), _uA(
                                _cE("text", _uM("class" to "uni-subtitle-text"), "text 组件拍平"),
                                _cE("text", _uM("class" to "uni-info"), "设置值: " + _tD(unref(minHeight)), 1),
                                _cE("text", _uM("class" to "uni-info"), "获取值: " + _tD(unref(minHeightActualTextFlat)), 1),
                                _cE("view", _uM("class" to "test-box"), _uA(
                                    _cE("text", _uM("ref_key" to "textRefFlat", "ref" to textRefFlat, "class" to "common-dynamic test-text-flatten", "style" to _nS(_uM("minHeight" to unref(minHeight))), "flatten" to ""), "text", 4)
                                ))
                            )),
                            _cE("view", _uM("class" to "test-item"), _uA(
                                _cE("text", _uM("class" to "uni-subtitle-text"), "image 组件拍平"),
                                _cE("text", _uM("class" to "uni-info"), "设置值: " + _tD(unref(minHeight)), 1),
                                _cE("text", _uM("class" to "uni-info"), "获取值: " + _tD(unref(minHeightActualImageFlat)), 1),
                                _cE("view", _uM("class" to "test-box"), _uA(
                                    _cE("image", _uM("ref_key" to "imageRefFlat", "ref" to imageRefFlat, "class" to "common-dynamic test-image-flatten", "style" to _nS(_uM("minHeight" to unref(minHeight))), "flatten" to "", "src" to "/static/test-image/logo.png"), null, 4)
                                ))
                            ))
                        )),
                        _cE("view", _uM("class" to "uni-common-mt uni-common-mb"), _uA(
                            _cE("text", _uM("class" to "uni-tips"), "第一个枚举值，'' (空字符串) - 空值情况"),
                            _cV(_component_enum_data, _uM("items" to minHeightEnum, "title" to "min-height 枚举值", "onChange" to radioChangeMinHeight, "compact" to true)),
                            _cV(_component_input_data, _uM("defaultValue" to unref(minHeight), "title" to "min-height 自定义值", "type" to "text", "onConfirm" to inputChangeMinHeight), null, 8, _uA(
                                "defaultValue"
                            ))
                        )),
                        _cE("view", _uM("class" to "uni-common-mb"), _uA(
                            _cE("text", null, "native-view组件: min-height: 100px 和 min-height: 150px"),
                            _cE("view", _uM("class" to "demo-box"), _uA(
                                _cE("native-view", _uM("class" to "common", "style" to _nS(_uM("min-height" to "100px", "background-color" to "cyan", "width" to "100px"))), null, 4),
                                _cE("native-view", _uM("class" to "common", "style" to _nS(_uM("min-height" to "150px", "background-color" to "cyan", "width" to "100px"))), null, 4)
                            ))
                        ))
                    ), 4)
                ), 4)
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("common" to _pS(_uM("width" to 200, "height" to 50, "backgroundColor" to "#00FFFF", "justifyContent" to "center", "alignItems" to "center")), "common-dynamic" to _pS(_uM("width" to 100, "height" to 50, "backgroundColor" to "#00FFFF")), "test-container" to _pS(_uM("flexDirection" to "row", "justifyContent" to "space-between", "marginTop" to 10)), "test-item" to _pS(_uM("flexGrow" to 1, "flexShrink" to 1, "flexBasis" to "0%", "marginTop" to 0, "marginRight" to 5, "marginBottom" to 0, "marginLeft" to 5)), "test-box" to _pS(_uM("width" to "100%", "height" to 150, "backgroundColor" to "#808080")), "demo-box" to _pS(_uM("flexDirection" to "row", "marginTop" to 10, "justifyContent" to "space-around")), "scroll-view-label" to _pS(_uM("fontSize" to 12, "textAlign" to "center")))
            }
        var inheritAttrs = true
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM()
        var props = _nP(_uM())
        var propsNeedCastKeys: UTSArray<String> = _uA()
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
